PROGRAM Bauhaus (input,output);
const
  %include 'edwin:consts.pas'


TYPE %include 'edwin:types.pas'
     %include 'edwin:specs.pas'
     %include 'edwin:shapes.pas'

VAR jaw : array [1..10] of pointfm;

    a,b,c,d : integer;

begin
   initialisefor (defaultdevice);
     a:=0; b:=0; c:=0; d:=0;
     InquireViewport(a,b,c,d);
     newframe;
     setcharquality (1);
     viewport(0,255, 0,255);
     moveabs(511, 511);
     circle(100);
     linerel(100,0);
     viewport(256,511, 256, 511);
     moveabs(511, 511);
     linerel(200,0);
     linerel(0,200);
     linerel(-200,0);
     linerel(0, -200);
     requestdevice(a,b,c);
     maptovirtualcoords(b, c);
     writeln(b, ' ', c);
     viewport(0,255,0,255);
     requestdevice(a,b,c);
     maptovirtualcoords(b,c);
     writeln(b, ' ', c);
     setshademode(1);
     setcolourmode(0);
     setcolour(blank);
     rectangle(0,0, 1023, 1023);
     terminateedwin
END.
